> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/ru/izdateli/exoclick-rtb/bid-request.md).

# Запрос ставки ExoClick RTB

Запрос ставки ExoClick RTB выполняется с использованием JSON для POST и URL для GET. XML-запросы для POST не допускаются.

## Заголовки запроса ставки

* **HTTP-заголовок версии ExoClick RTB**: `x-exadsrtb-version: 1.0`
* **HTTP-заголовок Keep-Alive**: `Connection: Keep-Alive`
* **JSON-содержимое**: `Content-Type: application/json`
* **Заголовок кодирования данных**: `Accept-Encoding`

### Объект запроса ставки

| Атрибут           | Обязательно?               | Описание                                                                                                                                                                          |
| ----------------- | -------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`              | Да                         | Уникальный ID запроса ставки (строка)                                                                                                                                             |
| `ip`              | Да                         | IP-адрес пользователя (строка)                                                                                                                                                    |
| `language`        | Да                         | Язык браузера в формате ISO-639-1-alpha-2 (строка)                                                                                                                                |
| `remove_addr`     | Нет                        | Основной IP-адрес пользователя (строка)                                                                                                                                           |
| `x_forwarded_for` | Нет                        | IP-адрес пользователя из X-FORWARDED-FOR или пусто, если не задан (строка)                                                                                                        |
| `type`            | Да                         | Тип запроса. Может быть “banner”, “popunder”, "direct\_link", "email\_click"\*, “push\_notification” или "in\_page\_push\_notification" (строка)                                  |
| `ua`              | Да                         | User-Agent браузера (строка)                                                                                                                                                      |
| `url`             | Да                         | Полный URL страницы, где будет показано объявление (строка)                                                                                                                       |
| `user_id`         | Да                         | Уникальный ID пользователя (строка)                                                                                                                                               |
| `sub`             | Нет                        | Это должно быть число из шести-десяти цифр: не используйте нули в начале Sub ID.                                                                                                  |
| `export`          | Да                         | Тип ответа. Может быть "json" или "xml" (строка)                                                                                                                                  |
| `keyword`         | Нет                        | Ключевые слова можно использовать, чтобы обеспечить получение рекламными зонами нужного типа рекламы. Ключевые слова должны представлять собой строку слов, разделённых запятыми. |
| `size`            | Обязательно для banner\*\* | Размер типа рекламы издателя (строка)                                                                                                                                             |
| `el`              | Нет                        | Email, закодированный в Base64. Доступно только для Email Clicks и Direct Link (строка)                                                                                           |

***

**Примечания:**

* `"email_click"` как тип необходимо указывать только в GET-запросах.
* В запросах Push, если размер не указан, значением по умолчанию будет `192x192` для обратной совместимости.
* Sub ID должны быть числом от 1 до [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32.maxvalue?view=net-5.0): Не используйте нули в начале Sub ID.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/rtb/ru/izdateli/exoclick-rtb/bid-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
